diff --git a/src/effects/shaders/huesaturation.frag b/src/effects/shaders/huesaturation.frag
new file mode 100644
index 0000000..c6073be
--- /dev/null
+++ b/src/effects/shaders/huesaturation.frag
@@ -0,0 +1,77 @@
+varying highp vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform highp sampler2D source;
+uniform highp vec3 hsl;
+
+highp vec3 RGBtoHSL(highp vec3 color) {
+    highp float cmin = min(color.r, min(color.g, color.b));
+    highp float cmax = max(color.r, max(color.g, color.b));
+    highp float h = 0.0;
+    highp float s = 0.0;
+    highp float l = (cmin + cmax) / 2.0;
+    highp float diff = cmax - cmin;
+
+    if (diff > 1.0 / 256.0) {
+        if (l < 0.5)
+            s = diff / (cmin + cmax);
+        else
+            s = diff / (2.0 - (cmin + cmax));
+
+        if (color.r == cmax)
+            h = (color.g - color.b) / diff;
+        else if (color.g == cmax)
+            h = 2.0 + (color.b - color.r) / diff;
+        else
+            h = 4.0 + (color.r - color.g) / diff;
+
+        h /= 6.0;
+    }
+    return vec3(h, s, l);
+}
+
+highp float hueToIntensity(highp float v1, highp float v2, highp float h) {
+    h = fract(h);
+    if (h < 1.0 / 6.0)
+        return v1 + (v2 - v1) * 6.0 * h;
+    else if (h < 1.0 / 2.0)
+        return v2;
+    else if (h < 2.0 / 3.0)
+        return v1 + (v2 - v1) * 6.0 * (2.0 / 3.0 - h);
+
+    return v1;
+}
+
+highp vec3 HSLtoRGB(highp vec3 color) {
+    highp float h = color.x;
+    highp float l = color.z;
+    highp float s = color.y;
+
+    if (s < 1.0 / 256.0)
+        return vec3(l);
+
+    highp float v1;
+    highp float v2;
+    if (l < 0.5)
+        v2 = l * (1.0 + s);
+    else
+        v2 = (l + s) - (s * l);
+
+    v1 = 2.0 * l - v2;
+
+    highp float d = 1.0 / 3.0;
+    highp float r = hueToIntensity(v1, v2, h + d);
+    highp float g = hueToIntensity(v1, v2, h);
+    highp float b = hueToIntensity(v1, v2, h - d);
+    return vec3(r, g, b);
+}
+
+void main() {
+    lowp vec4 sample = texture2D(source, qt_TexCoord0);
+    sample = vec4(sample.rgb / max(1.0/256.0, sample.a), sample.a);
+    sample.rgb = mix(vec3(dot(sample.rgb, vec3(0.2125, 0.7154, 0.0721))), sample.rgb, 1.0 + hsl.y);
+    sample.xyz = RGBtoHSL(sample.rgb);
+    sample.rgb = HSLtoRGB(vec3(sample.x + hsl.x, sample.y, sample.z));
+    highp float c = step(0.0, hsl.z);
+    sample.rgb = mix(sample.rgb, vec3(c), abs(hsl.z));
+    gl_FragColor = vec4(sample.rgb * sample.a, sample.a) * qt_Opacity;
+}
diff --git a/src/effects/shaders/leveladjust.frag b/src/effects/shaders/leveladjust.frag
new file mode 100644
index 0000000..9462a0c
--- /dev/null
+++ b/src/effects/shaders/leveladjust.frag
@@ -0,0 +1,35 @@
+varying highp vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform lowp sampler2D source;
+uniform highp vec3 minimumInputRGB;
+uniform highp vec3 maximumInputRGB;
+uniform highp float minimumInputAlpha;
+uniform highp float maximumInputAlpha;
+uniform highp vec3 minimumOutputRGB;
+uniform highp vec3 maximumOutputRGB;
+uniform highp float minimumOutputAlpha;
+uniform highp float maximumOutputAlpha;
+uniform highp vec3 gamma;
+
+highp float linearstep(highp float e0, highp float e1, highp float x) {
+    return clamp((x - e0) / (e1 - e0), 0.0, 1.0);
+}
+
+void main(void) {
+    highp vec4 textureColor = texture2D(source, qt_TexCoord0.st);
+    highp vec4 color = vec4(textureColor.rgb / max(1.0/256.0, textureColor.a), textureColor.a);
+
+    color.r = linearstep(minimumInputRGB.r, maximumInputRGB.r, color.r);
+    color.g = linearstep(minimumInputRGB.g, maximumInputRGB.g, color.g);
+    color.b = linearstep(minimumInputRGB.b, maximumInputRGB.b, color.b);
+    color.a = linearstep(minimumInputAlpha, maximumInputAlpha, color.a);
+
+    color.rgb = pow(color.rgb, gamma);
+
+    color.r = minimumOutputRGB.r + color.r * (maximumOutputRGB.r - minimumOutputRGB.r);
+    color.g = minimumOutputRGB.g + color.g * (maximumOutputRGB.g - minimumOutputRGB.g);
+    color.b = minimumOutputRGB.b + color.b * (maximumOutputRGB.b - minimumOutputRGB.b);
+    color.a = minimumOutputAlpha + color.a * (maximumOutputAlpha - minimumOutputAlpha);
+
+    gl_FragColor = vec4(color.rgb * color.a, color.a) * qt_Opacity;
+}
diff --git a/src/effects/shaders/lineargradient.vert b/src/effects/shaders/lineargradient.vert
new file mode 100644
index 0000000..e01854c
--- /dev/null
+++ b/src/effects/shaders/lineargradient.vert
@@ -0,0 +1,21 @@
+attribute highp vec4 qt_Vertex;
+attribute highp vec2 qt_MultiTexCoord0;
+uniform highp mat4 qt_Matrix;
+varying highp vec2 qt_TexCoord0;
+varying highp vec2 qt_TexCoord1;
+uniform highp vec2 startPoint;
+uniform highp float l;
+uniform highp vec2 matrixData;
+
+void main() {
+    highp mat2 rot = mat2(matrixData.y, -matrixData.x,
+                          matrixData.x,  matrixData.y);
+
+    qt_TexCoord0 = qt_MultiTexCoord0;
+
+    qt_TexCoord1 = qt_MultiTexCoord0 * l;
+    qt_TexCoord1 -= startPoint * l;
+    qt_TexCoord1 *= rot;
+
+    gl_Position = qt_Matrix * qt_Vertex;
+}
diff --git a/src/effects/shaders/lineargradient_mask.frag b/src/effects/shaders/lineargradient_mask.frag
new file mode 100644
index 0000000..0fed39f
--- /dev/null
+++ b/src/effects/shaders/lineargradient_mask.frag
@@ -0,0 +1,11 @@
+uniform lowp sampler2D source;
+uniform lowp sampler2D maskSource;
+uniform lowp float qt_Opacity;
+varying highp vec2 qt_TexCoord0;
+varying highp vec2 qt_TexCoord1;
+
+void main() {
+    lowp vec4 gradientColor = texture2D(source, qt_TexCoord1);
+    lowp float maskAlpha = texture2D(maskSource, qt_TexCoord0).a;
+    gl_FragColor = gradientColor * maskAlpha * qt_Opacity;
+}
diff --git a/src/effects/shaders/lineargradient_nomask.frag b/src/effects/shaders/lineargradient_nomask.frag
new file mode 100644
index 0000000..ada02db
--- /dev/null
+++ b/src/effects/shaders/lineargradient_nomask.frag
@@ -0,0 +1,7 @@
+uniform lowp sampler2D source;
+uniform lowp float qt_Opacity;
+varying highp vec2 qt_TexCoord1;
+
+void main() {
+    gl_FragColor = texture2D(source, qt_TexCoord1) * qt_Opacity;
+}
diff --git a/src/effects/shaders/opacitymask.frag b/src/effects/shaders/opacitymask.frag
new file mode 100644
index 0000000..84f9bc3
--- /dev/null
+++ b/src/effects/shaders/opacitymask.frag
@@ -0,0 +1,7 @@
+varying highp vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform lowp sampler2D source;
+uniform lowp sampler2D maskSource;
+void main(void) {
+    gl_FragColor = texture2D(source, qt_TexCoord0.st) * (texture2D(maskSource, qt_TexCoord0.st).a) * qt_Opacity;
+}
diff --git a/src/effects/shaders/opacitymask_invert.frag b/src/effects/shaders/opacitymask_invert.frag
new file mode 100644
index 0000000..e48c78e
--- /dev/null
+++ b/src/effects/shaders/opacitymask_invert.frag
@@ -0,0 +1,7 @@
+varying highp vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform lowp sampler2D source;
+uniform lowp sampler2D maskSource;
+void main(void) {
+    gl_FragColor = texture2D(source, qt_TexCoord0.st) * (1.0 - texture2D(maskSource, qt_TexCoord0.st).a) * qt_Opacity;
+}
diff --git a/src/effects/shaders/radialgradient.vert b/src/effects/shaders/radialgradient.vert
new file mode 100644
index 0000000..ce69586
--- /dev/null
+++ b/src/effects/shaders/radialgradient.vert
@@ -0,0 +1,30 @@
+attribute highp vec4 qt_Vertex;
+attribute highp vec2 qt_MultiTexCoord0;
+uniform highp mat4 qt_Matrix;
+uniform highp vec2 matrixData;
+uniform highp float horizontalRatio;
+uniform highp float verticalRatio;
+uniform highp vec2 center;
+varying highp vec2 qt_TexCoord0;
+varying highp vec2 qt_TexCoord1;
+varying highp vec2 centerPoint;
+
+void main() {
+    highp vec2 ratio = vec2(horizontalRatio, verticalRatio);
+
+    // Rotation matrix
+    highp mat2 rot = mat2(matrixData.y, -matrixData.x,
+                          matrixData.x,  matrixData.y);
+
+    qt_TexCoord0 = qt_MultiTexCoord0;
+
+    qt_TexCoord1 = qt_MultiTexCoord0;
+    qt_TexCoord1 -= center;
+    qt_TexCoord1 *= rot;
+    qt_TexCoord1 += center;
+    qt_TexCoord1 *= ratio;
+
+    centerPoint = center * ratio;
+
+    gl_Position = qt_Matrix * qt_Vertex;
+}
diff --git a/src/effects/shaders/radialgradient_mask.frag b/src/effects/shaders/radialgradient_mask.frag
new file mode 100644
index 0000000..5911753
--- /dev/null
+++ b/src/effects/shaders/radialgradient_mask.frag
@@ -0,0 +1,12 @@
+uniform lowp sampler2D gradientImage;
+uniform lowp sampler2D maskSource;
+uniform lowp float qt_Opacity;
+varying highp vec2 qt_TexCoord0;
+varying highp vec2 qt_TexCoord1;
+varying highp vec2 centerPoint;
+
+void main() {
+    lowp vec4 gradientColor = texture2D(gradientImage, vec2(0.0, 2.0 * distance(qt_TexCoord1, centerPoint)));
+    lowp float maskAlpha = texture2D(maskSource, qt_TexCoord0).a;
+    gl_FragColor = gradientColor * maskAlpha * qt_Opacity;
+}
diff --git a/src/effects/shaders/radialgradient_nomask.frag b/src/effects/shaders/radialgradient_nomask.frag
new file mode 100644
index 0000000..cf92236
--- /dev/null
+++ b/src/effects/shaders/radialgradient_nomask.frag
@@ -0,0 +1,10 @@
+
+uniform lowp sampler2D gradientImage;
+uniform lowp float qt_Opacity;
+varying highp vec2 qt_TexCoord1;
+varying highp vec2 centerPoint;
+
+void main() {
+    lowp vec4 gradientColor = texture2D(gradientImage, vec2(0.0, 2.0 * distance(qt_TexCoord1, centerPoint)));
+    gl_FragColor = gradientColor * qt_Opacity;
+}
diff --git a/src/effects/shaders/rectangularglow.frag b/src/effects/shaders/rectangularglow.frag
new file mode 100644
index 0000000..40bab58
--- /dev/null
+++ b/src/effects/shaders/rectangularglow.frag
@@ -0,0 +1,19 @@
+uniform highp float qt_Opacity;
+uniform mediump float relativeSizeX;
+uniform mediump float relativeSizeY;
+uniform mediump float spread;
+uniform lowp vec4 color;
+varying highp vec2 qt_TexCoord0;
+
+highp float linearstep(highp float e0, highp float e1, highp float x) {
+    return clamp((x - e0) / (e1 - e0), 0.0, 1.0);
+}
+
+void main() {
+    lowp float alpha =
+        smoothstep(0.0, relativeSizeX, 0.5 - abs(0.5 - qt_TexCoord0.x)) *
+        smoothstep(0.0, relativeSizeY, 0.5 - abs(0.5 - qt_TexCoord0.y));
+
+    highp float spreadMultiplier = linearstep(spread, 1.0 - spread, alpha);
+    gl_FragColor = color * qt_Opacity * spreadMultiplier * spreadMultiplier;
+}
diff --git a/src/effects/shaders/recursiveblur.frag b/src/effects/shaders/recursiveblur.frag
new file mode 100644
index 0000000..5562929
--- /dev/null
+++ b/src/effects/shaders/recursiveblur.frag
@@ -0,0 +1,6 @@
+varying mediump vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform lowp sampler2D source;
+void main() {
+    gl_FragColor = texture2D(source, qt_TexCoord0) * qt_Opacity;
+}
diff --git a/src/effects/shaders/recursiveblur.vert b/src/effects/shaders/recursiveblur.vert
new file mode 100644
index 0000000..67f64e1
--- /dev/null
+++ b/src/effects/shaders/recursiveblur.vert
@@ -0,0 +1,14 @@
+attribute highp vec4 qt_Vertex;
+attribute highp vec2 qt_MultiTexCoord0;
+uniform highp mat4 qt_Matrix;
+uniform highp float expandX;
+uniform highp float expandY;
+varying highp vec2 qt_TexCoord0;
+
+void main() {
+    mediump vec2 texCoord = qt_MultiTexCoord0;
+    texCoord.s = (texCoord.s - expandX) / (1.0 - 2.0 * expandX);
+    texCoord.t = (texCoord.t - expandY) / (1.0 - 2.0 * expandY);
+    qt_TexCoord0 = texCoord;
+    gl_Position = qt_Matrix * qt_Vertex;
+}
diff --git a/src/effects/shaders/thresholdmask.frag b/src/effects/shaders/thresholdmask.frag
new file mode 100644
index 0000000..b979589
--- /dev/null
+++ b/src/effects/shaders/thresholdmask.frag
@@ -0,0 +1,11 @@
+varying highp vec2 qt_TexCoord0;
+uniform highp float qt_Opacity;
+uniform lowp sampler2D source;
+uniform lowp sampler2D maskSource;
+uniform highp float threshold;
+uniform highp float spread;
+void main(void) {
+    lowp vec4 colorFragment = texture2D(source, qt_TexCoord0.st);
+    lowp vec4 maskFragment = texture2D(maskSource, qt_TexCoord0.st);
+    gl_FragColor = colorFragment * smoothstep(threshold * (1.0 + spread) - spread, threshold * (1.0 + spread), maskFragment.a) * qt_Opacity;
+}
diff --git a/tests/manual/testbed/TestBlend.qml b/tests/manual/testbed/TestBlend.qml
index e164e1c..86e2bf4 100644
--- a/tests/manual/testbed/TestBlend.qml
+++ b/tests/manual/testbed/TestBlend.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestBrightnessContrast.qml b/tests/manual/testbed/TestBrightnessContrast.qml
index 6304b11..387fc7c 100644
--- a/tests/manual/testbed/TestBrightnessContrast.qml
+++ b/tests/manual/testbed/TestBrightnessContrast.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestColorOverlay.qml b/tests/manual/testbed/TestColorOverlay.qml
index 3e2eb43..6200b1e 100644
--- a/tests/manual/testbed/TestColorOverlay.qml
+++ b/tests/manual/testbed/TestColorOverlay.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestColorize.qml b/tests/manual/testbed/TestColorize.qml
index 5c2ed37..79d99c6 100644
--- a/tests/manual/testbed/TestColorize.qml
+++ b/tests/manual/testbed/TestColorize.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestConicalGradient.qml b/tests/manual/testbed/TestConicalGradient.qml
index 302ad89..7c53bd1 100644
--- a/tests/manual/testbed/TestConicalGradient.qml
+++ b/tests/manual/testbed/TestConicalGradient.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestDesaturate.qml b/tests/manual/testbed/TestDesaturate.qml
index 0ff6387..ea900b9 100644
--- a/tests/manual/testbed/TestDesaturate.qml
+++ b/tests/manual/testbed/TestDesaturate.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestDirectionalBlur.qml b/tests/manual/testbed/TestDirectionalBlur.qml
index ce125bf..3b3ba89 100644
--- a/tests/manual/testbed/TestDirectionalBlur.qml
+++ b/tests/manual/testbed/TestDirectionalBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestDisplace.qml b/tests/manual/testbed/TestDisplace.qml
index e7d5e0f..76bff5b 100644
--- a/tests/manual/testbed/TestDisplace.qml
+++ b/tests/manual/testbed/TestDisplace.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestDropShadow.qml b/tests/manual/testbed/TestDropShadow.qml
index 5a0074a..a74ad4b 100644
--- a/tests/manual/testbed/TestDropShadow.qml
+++ b/tests/manual/testbed/TestDropShadow.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestFastBlur.qml b/tests/manual/testbed/TestFastBlur.qml
index a0479fd..459d196 100644
--- a/tests/manual/testbed/TestFastBlur.qml
+++ b/tests/manual/testbed/TestFastBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestGammaAdjust.qml b/tests/manual/testbed/TestGammaAdjust.qml
index ee2a441..400b3fb 100644
--- a/tests/manual/testbed/TestGammaAdjust.qml
+++ b/tests/manual/testbed/TestGammaAdjust.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestGaussianBlur.qml b/tests/manual/testbed/TestGaussianBlur.qml
index 8480a2b..196933d 100644
--- a/tests/manual/testbed/TestGaussianBlur.qml
+++ b/tests/manual/testbed/TestGaussianBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestGlow.qml b/tests/manual/testbed/TestGlow.qml
index dfbadf1..b82c4ef 100644
--- a/tests/manual/testbed/TestGlow.qml
+++ b/tests/manual/testbed/TestGlow.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestHueSaturation.qml b/tests/manual/testbed/TestHueSaturation.qml
index 9101d5a..3b1b954 100644
--- a/tests/manual/testbed/TestHueSaturation.qml
+++ b/tests/manual/testbed/TestHueSaturation.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestInnerShadow.qml b/tests/manual/testbed/TestInnerShadow.qml
index 9f2a01e..38426ad 100644
--- a/tests/manual/testbed/TestInnerShadow.qml
+++ b/tests/manual/testbed/TestInnerShadow.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestLevelAdjust.qml b/tests/manual/testbed/TestLevelAdjust.qml
index cddc425..713a044 100644
--- a/tests/manual/testbed/TestLevelAdjust.qml
+++ b/tests/manual/testbed/TestLevelAdjust.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestLinearGradient.qml b/tests/manual/testbed/TestLinearGradient.qml
index c4955ba..63cfd3d 100644
--- a/tests/manual/testbed/TestLinearGradient.qml
+++ b/tests/manual/testbed/TestLinearGradient.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestMaskedBlur.qml b/tests/manual/testbed/TestMaskedBlur.qml
index 06ad09a..1d37b24 100644
--- a/tests/manual/testbed/TestMaskedBlur.qml
+++ b/tests/manual/testbed/TestMaskedBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestOpacityMask.qml b/tests/manual/testbed/TestOpacityMask.qml
index 449549f..a844911 100644
--- a/tests/manual/testbed/TestOpacityMask.qml
+++ b/tests/manual/testbed/TestOpacityMask.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestRadialBlur.qml b/tests/manual/testbed/TestRadialBlur.qml
index 96e8bf9..7f80d56 100644
--- a/tests/manual/testbed/TestRadialBlur.qml
+++ b/tests/manual/testbed/TestRadialBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestRadialGradient.qml b/tests/manual/testbed/TestRadialGradient.qml
index eb06a9e..6ab565d 100644
--- a/tests/manual/testbed/TestRadialGradient.qml
+++ b/tests/manual/testbed/TestRadialGradient.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
diff --git a/tests/manual/testbed/TestRectangularGlow.qml b/tests/manual/testbed/TestRectangularGlow.qml
index 2e1ae7c..79841bc 100644
--- a/tests/manual/testbed/TestRectangularGlow.qml
+++ b/tests/manual/testbed/TestRectangularGlow.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestRecursiveBlur.qml b/tests/manual/testbed/TestRecursiveBlur.qml
index 828e4cc..1b9c77d 100644
--- a/tests/manual/testbed/TestRecursiveBlur.qml
+++ b/tests/manual/testbed/TestRecursiveBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
 
diff --git a/tests/manual/testbed/TestThresholdMask.qml b/tests/manual/testbed/TestThresholdMask.qml
index b66441f..b4fbc73 100644
--- a/tests/manual/testbed/TestThresholdMask.qml
+++ b/tests/manual/testbed/TestThresholdMask.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
    ImageSource {
diff --git a/tests/manual/testbed/TestZoomBlur.qml b/tests/manual/testbed/TestZoomBlur.qml
index 6ae343a..4a804d2 100644
--- a/tests/manual/testbed/TestZoomBlur.qml
+++ b/tests/manual/testbed/TestZoomBlur.qml
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 import QtQuick 2.0
-import "../../../src/effects"
+import QtGraphicalEffects 1.0
 
 TestCaseTemplate {
     ImageSource {
